iPhone Help with JB/Unlock 3G 4.2.1 05.15.04

Discussion in 'Jailbreaks and iOS Hacks' started by leftkidney, Feb 22, 2013.

  1. leftkidney macrumors member

    Joined:
    Oct 23, 2009
    #1
    so about 1 or 2 times a year I am call upon to JB someones iphone since I am the only one of my friends who is smart enough to do something like that - I know that sounds stupid since I am asking this question but I dont do this every day so I am not up on the latest stuff and without trying to sound like a total dick I dont really have time to research everything I need so I would rely on the forums with really helpful users that dont mind helping someone with a simple question

    I have a 3G 4.2.1 (8C148) - 05.14.04

    can I just update using itunes to the latest that it will update for the 3g iphone, or is that the latest?

    do I have to do something with the ipad baseband, I remember that from before but I assume something has changed since then

    I want to Jailbreak install Cydia and Unlock the phone for use on tmobile or another gsm carrier


    thanks for the help
     
  2. 45357254 Suspended

    45357254

    Joined:
    Aug 6, 2012
    #2
    Latest firmware for 3G is 4.2.1 (which probably can't run any app store application)

    ipad baseband isn't necessary anymore as long as you have the needed baseband of ultrasn0w.
    (4 -> 01.59.00)
    (3G/3GS -> 04.26.08, 05.11.07, 05.12.01, 05.13.04 and 06.15.00!)

    after jailbreaking , go into cydia and install ultrasn0w 1.2.8, and you are done.
     
  3. PsstGreek macrumors 68040

    PsstGreek

    Joined:
    Oct 21, 2010
    Location:
    Tampa Bay
    #3
    Ultrasn0w can't unlock your baseband. You can purchase an IMEI (factory) unlock from Swift Unlocks for $1.99.

    Then you can jailbreak with redsn0w
     

Share This Page